com.here.msdkui.routing

## Class OptionItemBuilders.NumericOptionItemBuilder

- java.lang.Object
- - com.here.msdkui.routing.OptionItemBuilders.NumericOptionItemBuilder

- Enclosing class:
    OptionItemBuilders

      public static class OptionItemBuilders.NumericOptionItemBuilder
      extends java.lang.Object

  Builder for `NumericOptionItem`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumericOptionItemBuilder(android.content.Context context)` Constructs a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NumericOptionItem` | `build()` Build the item.
    `OptionItemBuilders.NumericOptionItemBuilder` | `setInputType(int inputType)` Set input type for this item.
    `OptionItemBuilders.NumericOptionItemBuilder` | `setItemId(int id)` Set an id for this item.
    `OptionItemBuilders.NumericOptionItemBuilder` | `setLabel(java.lang.String label)` Set a label for this item.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NumericOptionItemBuilder

          public NumericOptionItemBuilder(android.content.Context context)

      Constructs a new instance.
      Parameters:
        `context` - an activity or application context.

  - ### Method Detail

    - #### setLabel

          public OptionItemBuilders.NumericOptionItemBuilder setLabel(java.lang.String label)

      Set a label for this item.
      Parameters:
        `label` - the label to set.
      Returns:
        an instance of this class.

    - #### setItemId

          public OptionItemBuilders.NumericOptionItemBuilder setItemId(int id)

      Set an id for this item.
      Parameters:
        `id` - the id to set.
      Returns:
        an instance of this class.

    - #### setInputType

          public OptionItemBuilders.NumericOptionItemBuilder setInputType(int inputType)

      Set input type for this item.
      Parameters:
        `inputType` - the input type to use.
      Returns:
        an instance of this class.

    - #### build

          public NumericOptionItem build()

      Build the item.
      Returns:
        the item that was built.